Attribute VB_Name = "ModGradients"
'\ ENUMERATIONS FOR GRADIENTS
'\ SIMON BRIDGE 2005


Enum GradientTypeConstants
    GRADIENT_FILL_RECT_H = &H0  'In this mode, two endpoints describe a rectangle. The rectangle is
                                'defined to have a constant color (specified by the TRIVERTEX structure) for the left and right edges. GDI interpolates
                                'the color from the top to bottom edge and fills the interior.
    GRADIENT_FILL_RECT_V = &H1  'In this mode, two endpoints describe a rectangle. The rectangle
                                ' is defined to have a constant color (specified by the TRIVERTEX structure) for the top and bottom edges. GDI interpolates
                                ' the color from the top to bottom edge and fills the interior.
    GRADIENT_FILL_TRIANGLE = &H2 'In this mode, an array of TRIVERTEX structures is passed to GDI
                                'along with a list of array indexes that describe separate triangles. GDI performs linear interpolation between triangle vertices
                                'and fills the interior. Drawing is done directly in 24- and 32-bpp modes. Dithering is performed in 16-, 8.4-, and 1-bpp mode.
     GRADIENT_FILL_OP_FLAG = &HFF
End Enum
